Galaxy Store
Docs
Galaxy Store
Galaxy Store Developer API
Content Publish API
API Guide
View Seller’s App Details
View information about one of the seller's registered apps using the Content Publish API.
Request
GET /seller/contentInfo
Parameters
Name
Type
In
Description
contentId
string
querystring
Required. The unique 12-digit identifier of the app.
curl -i -X GET \
-H "Authorization: Bearer <your-access-token>" \
-H "service-account-id: <your-service-account-id>" \
"https://devapi.samsungapps.com/seller/contentInfo?contentId=000007654321"
Response
Parameters
See the Content Publish API Reference for more information about these parameters.
Success
This is an example of a response for an app not distributed in China or does not need to be registered with MIIT in China.
[
{
"contentId": "000007654321",
"appTitle": "The best app ever!",
"icon": "https://img.samsungapps.com/content/d33aazz11a/2021/0214/IconImage_20210214000000000.png",
"iconKey": null,
"contentStatus": "REGISTERING",
"defaultLanguageCode": "ENG",
"applicationType": "android",
"longDescription": "The app that solves all your problems.",
"shortDescription": "",
"newFeature": "",
"ageLimit": "0",
"chinaAgeLimit": "0",
"openSourceURL": "",
"privatePolicyURL": "",
"youTubeURL": "",
"copyrightHolder": "",
"supportEMail": "support@mycompany.com",
"supportedSiteUrl": "",
"binaryList":[
{
"fileName": "App_filename.apk",
"binarySeq": "1",
"versionCode": "3",
"versionName": "3",
"packageName": "my.package.name",
"nativePlatforms": null,
"apiminSdkVersion": "26",
"apimaxSdkVersion": null,
"iapSdk": "N",
"gms": "Y",
"filekey": null
}
],
"standardPrice": "0",
"paid": "N",
"autoAddCountry": false,
"publicationType": "01",
"startPublicationDate": null,
"stopPublicationDate": "2027-01-02",
"usExportLaws": true,
"reviewComment": null,
"reviewFilename": null,
"reviewFilekey": null,
"edgescreen": null,
"edgescreenKey": null,
"edgescreenplus": null,
"edgescreenplusKey": null,
"notifyResult":[],
"sellCountryList":[
{"countryCode": "AUT", "price": "0"},
{"countryCode": "DEU", "price": "0"},
{"countryCode": "ESP", "price": "0"},
{"countryCode": "FRA", "price": "0"},
{"countryCode": "ITA", "price": "0"},
{"countryCode": "JPN", "price": "0"},
{"countryCode": "KOR", "price": "0"},
{"countryCode": "NLD", "price": "0"},
{"countryCode": "TUR", "price": "0"}
],
"supportedLanguages":["DEU", "ENG", "FRA", "ITA", "JPN", "KOR"],
"addLanguage":[
{
"languagecode": "DEU",
"newFeature": "",
"description": "The app that solves all your problems.",
"appTitle": "The best app ever!",
"screenshots":[
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_202102230000000002.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_2021022300000000.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_20210223000000009.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_202102230000000001.jpeg",
"screenshotKey": null,
"reuseYn": false
}
]
}
],
"screenshots":[
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000000.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000001.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000002.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000003.png",
"screenshotKey": null,
"reuseYn": false
}
],
"category":[
{
"name": "Others",
"type": "ONE_DEPTH_CATEGORY"
},
{
"name": "Music",
"type": "GENERAL_CATEGORY"
}
],
"heroImage": "https://img.samsungapps.com/content/d33aazz11a/2021/0219/ENG/CoverImage_20210219000000007.png",
"heroImageKey": null
}
]
Success
This is an example of a response for an app distributed in China that has been registered with Chinese as the default language and has been registered with MIIT in China.
[
{
"contentId": "000007654321",
"appTitle": "测试应用程序",
"icon": "https://img.samsungapps.com/content/d33aazz11a/2021/0214/IconImage_20210214000000000.png",
"iconKey": null,
"contentStatus": "REGISTERING",
"defaultLanguageCode": "ZHO",
"applicationType": "android",
"longDescription": "测试应用程序",
"shortDescription": "",
"newFeature": "",
"ageLimit": "0",
"chinaAgeLimit": "0",
"openSourceURL": "",
"privatePolicyURL": "",
"youTubeURL": "",
"copyrightHolder": "",
"supportEMail": "support@mycompany.com",
"supportedSiteUrl": "",
"binaryList":[
{
"fileName": "App_filename.apk",
"binarySeq": "1",
"versionCode": "3",
"versionName": "3",
"packageName": "my.package.name",
"nativePlatforms": null,
"apiminSdkVersion": "26",
"apimaxSdkVersion": null,
"iapSdk": "N",
"gms": "Y",
"filekey": null
}
],
"standardPrice": "0",
"paid": "N",
"autoAddCountry": false,
"publicationType": "01",
"startPublicationDate": null,
"stopPublicationDate": "2027-01-02",
"usExportLaws": true,
"reviewComment": null,
"reviewFilename": null,
"reviewFilekey": null,
"edgescreen": null,
"edgescreenKey": null,
"edgescreenplus": null,
"edgescreenplusKey": null,
"notifyResult":[],
"sellCountryList":[
{"countryCode": "CHN", "price": "0"}
],
"supportedLanguages":["DEU", "ENG", "FRA", "ITA", "JPN", "KOR"],
"addLanguage":[
{
"languagecode": "DEU",
"newFeature": "",
"description": "Test app",
"appTitle": "Test app",
"screenshots":[
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_202102230000000002.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_2021022300000000.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_20210223000000009.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0223/DEU/ScreenImage_202102230000000001.jpeg",
"screenshotKey": null,
"reuseYn": false
}
]
}
],
"screenshots":[
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000000.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000001.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000002.png",
"screenshotKey": null,
"reuseYn": false
},
{
"screenshotPath": "https://img.samsungapps.com/content/d33aazz11a/2021/0218/ENG/ScreenImage_20210218000000003.png",
"screenshotKey": null,
"reuseYn": false
}
],
"category":[
{
"name": "Others",
"type": "ONE_DEPTH_CATEGORY"
},
{
"name": "Music",
"type": "GENERAL_CATEGORY"
}
],
"heroImage": "https://img.samsungapps.com/content/d33aazz11a/2021/0219/ENG/CoverImage_20210219000000007.png",
"heroImageKey": null
"miitData":
{
"miitNum": "陕ICP备202503328号-1A",
"miitCmpnyNm": "company",
"miitBizNum": "99630104MMM128X82X",
"miitLocation": "安徽省 Anhui"
}
}
]
Note The contentStatus of REGISTERING returned by the API is the same as the Updating state displayed in Seller Portal.
See Failure response codes for a list of possible response codes when a request fails.